Get company settings
curl --request GET \
--url https://ai-api.getbreezyapp.com/api/v1/company-settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://ai-api.getbreezyapp.com/api/v1/company-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ai-api.getbreezyapp.com/api/v1/company-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profile": {
"companyName": "<string>",
"companyDescription": "<string>",
"primaryPhoneNumber": "<string>",
"companyTimezone": "<string>",
"companyWebsite": "<string>",
"industries": [],
"facebookUrl": "<string>",
"instagramUrl": "<string>",
"linkedinUrl": "<string>",
"logoImageUrl": "<string>",
"publicContactEmail": "jsmith@example.com"
},
"jobTypes": [
{
"id": "<string>",
"enabled": true,
"name": "<string>",
"description": "<string>",
"customerFacingName": "<string>",
"fsmStaleReason": "<string>",
"fsmHealthLastCheckedAt": "<string>"
}
],
"businessHours": {
"monday": {
"startTime": "<string>",
"endTime": "<string>"
},
"tuesday": {
"startTime": "<string>",
"endTime": "<string>"
},
"wednesday": {
"startTime": "<string>",
"endTime": "<string>"
},
"thursday": {
"startTime": "<string>",
"endTime": "<string>"
},
"friday": {
"startTime": "<string>",
"endTime": "<string>"
},
"saturday": {
"startTime": "<string>",
"endTime": "<string>"
},
"sunday": {
"startTime": "<string>",
"endTime": "<string>"
}
},
"notificationPreferences": {
"emailAddresses": [
"<string>"
],
"phoneNumbers": [
"<string>"
],
"afterHoursRouting": {
"serviceRequests": {
"enabled": true,
"specificPhoneNumbers": [
"<string>"
],
"emailAddresses": [
"jsmith@example.com"
]
},
"customerSupport": {
"enabled": true,
"specificPhoneNumbers": [
"<string>"
],
"emailAddresses": [
"jsmith@example.com"
]
},
"otherConversations": {
"enabled": true,
"specificPhoneNumbers": [
"<string>"
],
"emailAddresses": [
"jsmith@example.com"
]
}
},
"suppressedEmailAddresses": [
"<string>"
]
},
"faqs": [
{
"id": "<string>",
"question": "<string>",
"answer": "<string>"
}
],
"leadSources": [
{
"id": "<string>",
"name": "<string>",
"archived": true,
"isExistingCustomerSource": true,
"createdAt": "<string>"
}
]
}Company Settings
Get company settings
GET
/
company-settings
Get company settings
Authorizations
userJwtBearerserviceApiKeyBearer
User JWT bearer token. User principals can manage API keys and call tenant-scoped customer endpoints.
Response
200 - application/json
OK
Company profile
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I